org.keycloak.models.jpa.entities

## Class ClientScopeRoleMappingEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.ClientScopeRoleMappingEntity

-     @Entity
      public class ClientScopeRoleMappingEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientScopeRoleMappingEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientScopeEntity` | `clientScope`
    `protected RoleEntity` | `role`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientScopeRoleMappingEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ClientScopeEntity` | `getClientScope()`
    `RoleEntity` | `getRole()`
    `int` | `hashCode()`
    `void` | `setClientScope(ClientScopeEntity clientScope)`
    `void` | `setRole(RoleEntity role)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientScope

          protected ClientScopeEntity clientScope

    - #### role

          protected RoleEntity role

  - ### Constructor Detail

    - #### ClientScopeRoleMappingEntity

          public ClientScopeRoleMappingEntity()

  - ### Method Detail

    - #### getClientScope

          public ClientScopeEntity getClientScope()

    - #### setClientScope

          public void setClientScope(ClientScopeEntity clientScope)

    - #### getRole

          public RoleEntity getRole()

    - #### setRole

          public void setRole(RoleEntity role)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.